<?php
/*
 * 
  GPLv2 (C) <2021>  <HashCasper>

  This file is part of D2IM.

  D2IM is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  D2IM is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with D2IM.  If not, see <http://www.gnu.org/licenses/>.
 */

if (!empty($_POST)) {
	// write the d2im.conf file and replace \ with \\
	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
		$path = rtrim($_POST['path'], "\\");
		$path = str_replace("\\", "\\\\", $path);
		$path .= '\\\\data\\\\global\\\\excel\\\\';
		file_put_contents("../d2im.conf", $path);
	} else {

		file_put_contents("../d2im.conf", $_POST['path'] . DIRECTORY_SEPARATOR);
	}

	header('Location: /wait.php');
}
?>
<!doctype html>
<html lang="en">
	<?php
	/* Require the <head> section */
	require_once "head.php";
	?>
    <body style="text-align: center; background: white;">
		<div class="container container-top">
			<h1><img src="/img/Diablo2.png" style="float:left">D2 Item Maker, v3. By HashCasper</h1>	
			<a class="btn btn-outline-danger" style="color:red; font-size: 18px;float:right;" href="/">X</a>
			<hr style="margin: 60px;">
			<h2>Select Mod folder</h2>
			<p style="font-family: lato">Example: D:\Diablo II\MODS\you-mod-name\</p>
			<p style="font-family: lato">Input path to D2 Mod Directory.</p>

			<div style="margin-top: 20px;" class="ctrl-config">
				<form enctype="multipart/form-data" style="font-family: Lato; font-size: 14pt;" action="" method="post">
					<label for="path">Choose PATH</label>
					<input id="path" style="width: 420px;" required="required" name="path" type="text">
					<input type="submit" value="Save" name="submit" class="btn-config">

				</form>
			</div>
			<div id="loading" style="">			
				<p style="font-family: Lato;">After saving path, app will convert txt files to SQL database.</p>
				<p style="font-family: Lato;">This may take a few minutes depending on the size of your txt files. <br>Please be patient. Once done, app will load. <br>Each time you set a new mod path, txt files will be processed.</p>			
			</div>

		</div>
	</body>
</html>